import 'package:connectivity_plus/connectivity_plus.dart';

class NetWorkSateUtil {
  //  网络状态
  static Future<bool> isNetWork() async{
    ConnectivityResult connectivityResult = await Connectivity().checkConnectivity();
    if (connectivityResult != ConnectivityResult.none) {
      return true;
    }
    return false;
  }
 
  //网络类型
  static Future<String> netWorkType() async{
    ConnectivityResult connectivityResult = await Connectivity().checkConnectivity();
    String netWorkType = "";
    switch (connectivityResult) {
      case ConnectivityResult.wifi:
        netWorkType = 'wifi';
        break;
      case ConnectivityResult.mobile:
        netWorkType = 'mobile';
        break;
      case ConnectivityResult.none:
        netWorkType = 'none';
        break;
      case ConnectivityResult.bluetooth:
        netWorkType = 'bluetooth';
        break;
      case ConnectivityResult.ethernet:
        netWorkType = 'ethernet';
        break;
    }
    return netWorkType;
  }
}