class StringUtils {
  static String defaultStrDisplay(String? ori, [String replaceStr = "--"]) {
    return (ori == null || ori.isEmpty) ? replaceStr : ori;
  }

  static double? strPercent2Double(String? str) {
    if(str == null || str.isEmpty) {
      return null;
    }
    return double.tryParse(str.substring(0, str.length-1));
  }
}

extension E on String {
  String lastChars(int n) => substring(length - n);
}