// ignore_for_file: prefer_adjacent_string_concatenation, unnecessary_brace_in_string_interps

class FormatterUtils {
  static String formatterKMile(int? startK, int? startMile, int? endk, int? endMile) {
    String startKMile = "";
    if(startK != null && startK >= 0) {
      // startKMile = "K"+"${startK}".padLeft(3, "0");
      startKMile = "K" + "${startK}";
    }
    if(startMile != null && startMile >= 0) {
      startKMile += (startKMile.isNotEmpty ? ("+") : "") + "${startMile}".padLeft(3, "0");
    }

    String endKMile = "";
    if(endk != null && endk >= 0) {
      // endKMile = "K"+"${endk}".padLeft(3, "0");
      endKMile = "K" + "${endk}";
    }
    if(endMile != null && endMile >= 0) {
      endKMile += (endKMile.isNotEmpty ? ("+") : "") + "${endMile}".padLeft(3, "0");
    }

    if(startKMile.isEmpty) {
      return endKMile;
    } else {
      return startKMile + "-" + endKMile;
    }
  }

  static T? formatter2Enum<T, S>(List<T> values, S index) {
    if(index is int) {
      return values.length > index ? values[index] : null;
    } else if(index is num) {
      return values.length > (index.toInt()) ? values[index.toInt()] : null;
    } else if(index is String) {
      int? iValue = int.tryParse(index);
      return iValue == null ? null : (values.length > iValue ? values[iValue] : null);
    }
    return null;
  }
}