import 'package:flutter/material.dart';
import 'package:flutter_screenutil/flutter_screenutil.dart';

class PageInLoadding extends StatelessWidget {
  const PageInLoadding({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Center(
      child: Container(
        padding: EdgeInsets.symmetric(horizontal: 30.w, vertical: 20.h),
        decoration: BoxDecoration(
          color: Colors.transparent,
          borderRadius: BorderRadius.circular(15.r),
        ),
        child: CircularProgressIndicator(
          color: Colors.black,
          strokeWidth: 3.r,
          valueColor: const AlwaysStoppedAnimation(Colors.black),
        ),
      ),
    );
  }
}
