import 'package:flutter/material.dart';
import 'package:flutter_screenutil/flutter_screenutil.dart';

class MultiLineText extends StatelessWidget {
  const MultiLineText({Key? key, required this.child}) : super(key: key);
  final Widget child;

  @override
  Widget build(BuildContext context) {
    return Container(
        margin: const EdgeInsets.only(top: 0),
        width: double.infinity,
        constraints: BoxConstraints(minHeight: 64.h),
        padding: EdgeInsets.all(8.r),
        decoration: BoxDecoration(
          color: const Color(0xfff7f8fa),
          borderRadius: BorderRadius.all(
            Radius.circular(4.r),
          ),
        ),
        child: child);
  }
}